aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2022-12-31 06:09:02 +0100
committerSven Gothel <[email protected]>2022-12-31 06:09:02 +0100
commit46f5d03228fc8160ac5128b855a7ed25b230bf3a (patch)
tree81a9d3154e45bf917448df5adac7981373d3b944
parentb2d2fd5a7f75d5146071c1ca9cfd0eb37db68184 (diff)
test_exe_template.sh: Return test result for caller to digest
-rwxr-xr-xscripts/test_exe_template.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/scripts/test_exe_template.sh b/scripts/test_exe_template.sh
index 3f49929..d12f88e 100755
--- a/scripts/test_exe_template.sh
+++ b/scripts/test_exe_template.sh
@@ -1,7 +1,7 @@
#!/bin/bash
-#export cipherpack_debug=true
-#export cipherpack_verbose=true
+# export cipherpack_debug=true
+# export cipherpack_verbose=true
# Arguments:
# --perf_analysis special performance analysis using 3rd party tools
@@ -63,6 +63,8 @@ export LANG=en_US.UTF-8
# export EXE_WRAPPER="ASAN_OPTIONS=print_stats:halt_on_error:replace_intrin "
# export EXE_WRAPPER="nice -20"
+set -o pipefail
+
runit() {
echo "script invocation: $0 ${script_args}"
echo EXE_WRAPPER $EXE_WRAPPER
@@ -80,7 +82,8 @@ runit() {
#export ASAN_OPTIONS=print_stats:halt_on_error:replace_intrin
$EXE_WRAPPER ./$bname "$@"
+ exit $?
}
runit "$@" 2>&1 | tee $logfile
-
+exit $?